org.apache.ignite.ml.tree.boosting

## Class GDBOnTreesLearningStrategy

- java.lang.Object
- - org.apache.ignite.ml.composition.boosting.GDBLearningStrategy
  - - org.apache.ignite.ml.tree.boosting.GDBOnTreesLearningStrategy

-     public class GDBOnTreesLearningStrategy
      extends GDBLearningStrategy

  Gradient boosting on trees specific learning strategy reusing learning dataset with index between several learning iterations.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.composition.boosting.GDBLearningStrategy

      `baseMdlTrainerBuilder, checkConvergenceStgyFactory, cntOfIterations, compositionWeights, envBuilder, externalLbToInternalMapping, loss, meanLbVal, sampleSize, trainerEnvironment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDBOnTreesLearningStrategy(boolean useIdx)` Create an instance of learning strategy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,V> List<IgniteModel<Vector,Double>>` | `update(GDBModel mdlToUpdate, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> vectorizer)` Gets state of model in arguments, compare it with training parameters of trainer and if they are fit then trainer updates model in according to new data and return new model.

    - ### Methods inherited from class org.apache.ignite.ml.composition.boosting.GDBLearningStrategy

      `getCompositionWeights, getMeanValue, initLearningState, learnModels, withBaseModelTrainerBuilder, withCheckConvergenceStgyFactory, withCntOfIterations, withCompositionWeights, withDefaultGradStepSize, withEnvironmentBuilder, withExternalLabelToInternal, withLossGradient, withMeanLabelValue, withSampleSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GDBOnTreesLearningStrategy

          public GDBOnTreesLearningStrategy(boolean useIdx)

      Create an instance of learning strategy.
      Parameters:
        `useIdx` - Use index.

  - ### Method Detail

    - #### update

          public <K,V> List<IgniteModel<Vector,Double>> update(GDBModel mdlToUpdate,
                                                               DatasetBuilder<K,V> datasetBuilder,
                                                               Preprocessor<K,V> vectorizer)

      Gets state of model in arguments, compare it with training parameters of trainer and if they are fit then trainer updates model in according to new data and return new model. In other case trains new model.
      Overrides:
        `update` in class `GDBLearningStrategy`
      Type Parameters:
        `K` - Type of a key in `upstream` data.
        `V` - Type of a value in `upstream` data.
      Parameters:
        `mdlToUpdate` - Learned model.
        `datasetBuilder` - Dataset builder.
        `vectorizer` - Upstream preprocessor.
      Returns:
        Updated models list.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023